FROM --platform=$BUILDPLATFORM mcr.microsoft.com/dotnet/sdk:9.0-alpine AS builder

ARG TARGETARCH
ARG TARGETOS

WORKDIR /app
COPY Mindforge.API.csproj ./
RUN dotnet restore -a $TARGETARCH
COPY . .
RUN dotnet publish -c Release -a $TARGETARCH --no-restore -o /app/publish

FROM mcr.microsoft.com/dotnet/aspnet:9.0-alpine
WORKDIR /app
COPY --from=builder /app/publish .

ENV ASPNETCORE_URLS=http://+:8080
ENV OPENAI_API_KEY=""
ENV GEMINI_API_KEY=""

EXPOSE 8080
ENTRYPOINT ["dotnet", "Mindforge.API.dll"]
